Subject: Re: [v6ops] draft-ietf-v6ops-464xlat

From: t.petch <[email-masked]>
Date: Fri, 29 Jun 2012 19:05:47 +0100

I find -04 a definite improvement in clarity.  Should it go further?
unsure, I will wait to see what others say (eg about s.1 paragraph 2
with the references to client-server and peer-to-peer - I would prefer
explicit reference to the addresses involved rather than the indirect
reference via the nature of the application)..

Tom Petch

----- Original Message -----
From: "MAWATARI Masataka" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, May 29, 2012 5:54 AM

> Dear Tom-san,
>
>
> Thank you for your comments.
>
> I understood your thoughts.
> I will polish again the diagram on Section 5 and the overview by
> adding the explanations.
>
> The IPv6 host on the diagram on Section 5.1 shows that a IPv6 host
> can reach the other IPv6 hosts on the Internet via no translation.
> This means that the CPE can not only have the function of CLAT but
> also the function of IPv6 native router for IPv6 native traffic.
>
> And the 464XLAT architecture provides limited IPv4 service as you
> understand. This is true due to hub-and-spoke model using stateful
> translation.
>
>
> Kind Regards,
> Masataka MAWATARI
>
>
> * On Thu, 24 May 2012 17:34:22 +0100
> * t.petch <[email-masked]> wrote:
>
> > I would like to see this published, regardless of status, but to
think
> > that it needs more work before it is ready for WGLC.  It is just too
> > hard to follow.  When I supported its adoption by v6ops, I was
expecting
> > that it would be hammered into shape but that has not happened.
> >
> > It contains the detail but lacks the overview - framework,
architecture
> > or what, I do not mind, but it is that level of description that it
> > lacks.  Rather, the first four sections read like marketing, this is
a
> > great idea, you must buy it; err, no, tell me what it is, not the
how or
> > why, and I will decide whether or not to buy it.
> >
> > The description only starts at section 5 with a diagram, but this is
a
> > diagram that is worth minus one thousand words - if this is 464,
then
> > why is the first line a v6  address - that makes it 664!  And
something
> > you do not explain.
> >
> > The terminology too seems ill-chosen. For example, clauses such as
> > " limited to application
> >    that function in a client server model and is not fit for IPv4
peer-
> >    to-peer communication or inbound IPv4 connections."
> > does not impart understanding.  Of course there is an inbound IPv4
> > connection, your diagrams all show that.  What I reverse-engineer
from
> > the I-D, is that the destination IP address used to establish the
> > connection MUST be a global IPv4 address.  Which is a much more
specific
> > limitation.
> >
> > So let's have an overview in section one and then see if the rest of
it
> > still makes sense.
> > Tom Petch